package net.northking.cctp.device.dto.engineInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.device.db.entity.CdEngineInfo;
import net.northking.cctp.device.db.entity.CdPcDevice;

@JsonSerialize
@ApiModel(description = "执行引擎信息表")
public class CdEngineInfoRegisterDto {

    @ApiModelProperty("引擎信息")
    private CdEngineInfo cdEngineInfo;

    @ApiModelProperty("pc设备信息")
    private CdPcDevice cdPcDevice;

    public CdEngineInfo getCdEngineInfo() {
        return cdEngineInfo;
    }

    public void setCdEngineInfo(CdEngineInfo cdEngineInfo) {
        this.cdEngineInfo = cdEngineInfo;
    }

    public CdPcDevice getCdPcDevice() {
        return cdPcDevice;
    }

    public void setCdPcDevice(CdPcDevice cdPcDevice) {
        this.cdPcDevice = cdPcDevice;
    }
    

}
